> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Item Filters

> Returns a paginated list of all Item filters.




## OpenAPI

````yaml get /v2/item-filters
openapi: 3.0.0
info:
  title: Item Filters API
  version: '2.0'
  description: >
    Create custom filters that can be used as a search parameter when listing
    Items.
servers: []
security:
  - basicAuth: []
paths:
  /v2/item-filters:
    get:
      summary: List all Item filters
      description: Returns a paginated list of all Item filters.
      parameters:
        - name: limit
          in: query
          description: >
            Number of Item filters returned [per
            page](/api-guide/overview#pagination). Default: 10. Maximum: 200.
          schema:
            type: integer
        - in: query
          name: cursor
          schema:
            type: string
          description: >-
            The URL returned in `next` or `previous` used to retrieve another
            [page](/api-guide/overview#pagination) of results.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the next page of results, if available.
                  previous:
                    type: string
                    format: uri
                    nullable: true
                    description: URL for the previous page of results, if available.
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: The name of the item filter.
                          example: Candidate for new car loan fields supported
                        filters:
                          type: object
                          description: The filters applied to this item filter.
                    example:
                      - name: Candidate for new car loan fields supported
                        filters:
                          field_coverage:
                            gigs:
                              distance:
                                supported: true
                            vehicles:
                              year:
                                supported: true
                      - name: Key paystub fields supported
                        filters:
                          status:
                            eq: healthy
                          field_coverage:
                            paystubs:
                              gross_pay:
                                supported:
                                  eq: true
                              paystub_date:
                                supported:
                                  eq: true
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````